/**
 * Modified by mianyanglo.
 * MIANYANGLO.COM
 */
* {
    margin: 0;
    padding: 0;
}

a {
    color:black;
    text-decoration: none
}

.content {
    position: relative;
    width: 100vw;
    height: 100vh;
    background-color: antiquewhite;

    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.content::before {
    position: absolute;
    content: "";
    display: block;
    width: 300%;
    height: 100%;
    background-image:url("../images/bg.png");
    filter: blur(4px);
    animation: bg-anim 10s alternate infinite linear;
}

@keyframes bg-anim {
    from {
        left: 0;
    }
    to {
        left: -200%;
    }
}

.login-box {
    position: relative;
    width: 450px;
    height: 450px;
    background-color:  white;
    border-radius: 30px;
    color: black;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-box>h1 {
    margin: 50px 0 10px 0;
    font-size: 64px;
}

.output-frame {
    margin-top: 20px;
    width: 300px;
    height: 40px;

    display: flex;
}

.output-frame>label {
    font-size: 16px;
    width: 64px;
    background-color: #f0f0f2;
    border-radius: 40px 10px 10px 40px;
    text-indent: 20px;

    display: flex;
    align-items: center;
}

.output-frame>input {
    flex: 1;
    width: 0;
    margin-left: 6px;
    padding: 0 20px 0 10px;
    border-radius: 10px 40px 40px 10px;
    outline: none;
    border: none;
    font-size: 20px;
    background-color: #f0f0f2;
    color: gray;
}

.output-frame>input:focus {
    color: #000;
    background-color: #f0f0f2;
}

.login-btn {
    margin-top: 40px;
    width: 200px;
    height: 40px;
    font-size: 20px;
    border: none;
    background-color: deepskyblue;
    color: #fff;
    border-radius: 40px;
}

.login-btn:hover {
    background-color: dodgerblue;
}
